[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TGetDesignerFormEvent

Specifies an event handler signalled to get the form with the designer for a persistent object.

## Declaration

Source position: forms.pp line 1959

`type TGetDesignerFormEvent = function(`
`APersistent: TPersistent`
`):TCustomForm of object;`

## Arguments

`APersistent` |  | TPersistent instance for the event notification.

## Function result

TCustomForm instance with the designer object for the specified persistent object.

## Description

TGetDesignerFormEvent is an object function type which specifies an event handler signalled to get the form instance with the designer object for APersistent. The return value contains the TCustomForm instance which contains the designer object for the persistent object, and may be unassigned (Nil) if a form hosting APersistent cannot be located.

TGetDesignerFormEvent is the type used for the OnGetDesignerForm variable in the forms unit.

## See also

OnGetDesignerForm |  | Event handler signalled to get the designer form for the specified form or control.
GetDesignerForm |  | Gets the Form with the designer object for the specified control or persistent object.